'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var render = exports.render = function render(colors, options) {

  var colorVars = function colorVars(colorSet) {
    return '\n  let s:shade0 = "' + colorSet.shade0 + '"\n  let s:shade1 = "' + colorSet.shade1 + '"\n  let s:shade2 = "' + colorSet.shade2 + '"\n  let s:shade3 = "' + colorSet.shade3 + '"\n  let s:shade4 = "' + colorSet.shade4 + '"\n  let s:shade5 = "' + colorSet.shade5 + '"\n  let s:shade6 = "' + colorSet.shade6 + '"\n  let s:shade7 = "' + colorSet.shade7 + '"\n  let s:accent0 = "' + colorSet.accent0 + '"\n  let s:accent1 = "' + colorSet.accent1 + '"\n  let s:accent2 = "' + colorSet.accent2 + '"\n  let s:accent3 = "' + colorSet.accent3 + '"\n  let s:accent4 = "' + colorSet.accent4 + '"\n  let s:accent5 = "' + colorSet.accent5 + '"\n  let s:accent6 = "' + colorSet.accent6 + '"\n  let s:accent7 = "' + colorSet.accent7 + '"\n  ';
  };

  var theme = '\n\n  ' + (!!colors.dark ? '\n  if &background == \'dark\'\n    ' + colorVars(colors.dark) + '\n  endif\n  ' : '') + '\n\n  ' + (!!colors.light ? '\n  if &background == \'light\'\n    ' + colorVars(colors.light) + '\n  endif\n  ' : '') + '\n\n  highlight clear\n  syntax reset\n  let g:colors_name = "ThemerVim"\n\n  """"""""""\n  " Normal "\n  """"""""""\n\n  exec "hi Normal guifg=".s:shade6." guibg=".s:shade0\n\n  """""""""""""""""\n  " Syntax groups "\n  """""""""""""""""\n\n  " Default\n\n  exec "hi Comment guifg=".s:shade2\n  exec "hi Constant guifg=".s:accent3\n  exec "hi Character guifg=".s:accent4\n  exec "hi Identifier guifg=".s:accent2." gui=none cterm=none"\n  exec "hi Statement guifg=".s:accent5\n  exec "hi PreProc guifg=".s:accent6\n  exec "hi Type guifg=".s:accent7\n  exec "hi Special guifg=".s:accent4\n  exec "hi Underlined guifg=".s:accent5\n  exec "hi Error guifg=".s:shade0." guibg=".s:accent0\n  exec "hi Todo guifg=".s:accent2." guibg=".s:shade1\n\n  " GitGutter\n\n  exec "hi GitGutterAdd guifg=".s:accent3\n  exec "hi GitGutterChange guifg=".s:accent2\n  exec "hi GitGutterDelete guifg=".s:accent0\n\n  " fugitive\n\n  exec "hi gitcommitComment guifg=".s:shade3\n  exec "hi gitcommitOnBranch guifg=".s:shade3\n  exec "hi gitcommitHeader guifg=".s:shade5\n  exec "hi gitcommitHead guifg=".s:shade3\n  exec "hi gitcommitSelectedType guifg=".s:accent3\n  exec "hi gitcommitSelectedFile guifg=".s:accent3\n  exec "hi gitcommitDiscardedType guifg=".s:accent2\n  exec "hi gitcommitDiscardedFile guifg=".s:accent2\n  exec "hi gitcommitUntrackedFile guifg=".s:accent0\n\n  """""""""""""""""""""""\n  " Highlighting Groups "\n  """""""""""""""""""""""\n\n  " Default\n\n  exec "hi ColorColumn guibg=".s:shade1\n  exec "hi Conceal guifg=".s:shade2\n  exec "hi Cursor guifg=".s:shade0\n  exec "hi CursorColumn guibg=".s:shade1\n  exec "hi CursorLine guibg=".s:shade1\n  exec "hi Directory guifg=".s:accent5\n  exec "hi DiffAdd guifg=".s:accent3." guibg=".s:shade1\n  exec "hi DiffChange guifg=".s:accent2." guibg=".s:shade1\n  exec "hi DiffDelete guifg=".s:accent0." guibg=".s:shade1\n  exec "hi DiffText guifg=".s:accent2." guibg=".s:shade2\n  exec "hi ErrorMsg guifg=".s:shade7." guibg=".s:accent0\n  exec "hi VertSplit guibg=".s:shade2\n  exec "hi Folded guifg=".s:shade7." guibg=".s:shade2\n  exec "hi FoldColumn guifg=".s:shade7." guibg=".s:shade1\n  exec "hi SignColumn guibg=".s:shade0\n  exec "hi IncSearch guifg=".s:shade0." guibg=".s:accent2\n  exec "hi LineNr guifg=".s:shade2." guibg=".s:shade0\n  exec "hi CursorLineNr guifg=".s:shade2." guibg=".s:shade1\n  exec "hi MatchParen guibg=".s:shade2\n  exec "hi MoreMsg guifg=".s:shade0." guibg=".s:accent4\n  exec "hi NonText guifg=".s:shade2." guibg=".s:shade0\n  exec "hi Pmenu guifg=".s:shade6." guibg=".s:shade1\n  exec "hi PmenuSel guifg=".s:accent4." guibg=".s:shade1\n  exec "hi PmenuSbar guifg=".s:accent3." guibg=".s:shade1\n  exec "hi PmenuThumb guifg=".s:accent0." guibg=".s:shade2\n  exec "hi Question guifg=".s:shade7." guibg=".s:shade1\n  exec "hi Search guifg=".s:shade0." guibg=".s:accent2\n  exec "hi SpecialKey guifg=".s:accent7." guibg=".s:shade0\n  exec "hi SpellBad gui=undercurl guisp=".s:accent0\n  exec "hi SpellCap gui=undercurl guisp=".s:accent2\n  exec "hi SpellLocal gui=undercurl guisp=".s:accent4\n  exec "hi SpellRare gui=undercurl guisp=".s:accent1\n  exec "hi StatusLine guifg=".s:shade4." guibg=".s:shade1." gui=none cterm=none"\n  exec "hi TabLine guifg=".s:shade5." guibg=".s:shade1\n  exec "hi TabLineFill guibg=".s:shade1\n  exec "hi TabLineSel guifg=".s:shade6." guibg=".s:shade0\n  exec "hi Title guifg=".s:accent5\n  exec "hi Visual guibg=".s:shade1\n  exec "hi VisualNOS guifg=".s:accent0." guibg=".s:shade1\n  exec "hi WarningMsg guifg=".s:accent0\n  exec "hi WildMenu guifg=".s:accent4." guibg=".s:shade1\n\n  " NERDTree\n\n  exec "hi NERDTreeExecFile guifg=".s:accent4\n  exec "hi NERDTreeDirSlash guifg=".s:accent5\n  exec "hi NERDTreeCWD guifg=".s:accent0\n\n  """"""""""""\n  " Clean up "\n  """"""""""""\n\n  unlet s:shade0 s:shade1 s:shade2 s:shade3 s:shade4 s:shade5 s:shade6 s:shade7 s:accent0 s:accent1 s:accent2 s:accent3 s:accent4 s:accent5 s:accent6 s:accent7\n  ';

  return [Promise.resolve({ name: 'ThemerVim.vim', contents: new Buffer(theme, 'utf-8') })];
};